Get a report export

View as Markdown

Returns the export’s status. Once status is completed, a short-lived signed download_url is included.

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Path parameters

form_idintegerRequired
idintegerRequired

Response

Export
idstring
statusenum
formatenum
exportableobject
created_atdatetime
completed_atdatetime or null
download_urlstring or nullformat: "uri"

Short-lived signed URL; present only when status is completed